Subject: Re: linux emulation for eclipse
To: Felix Zaslavskiy <>
From: Curt Sampson <>
List: netbsd-users
Date: 04/10/2003 17:58:35
On Sat, 8 Mar 2003, Felix Zaslavskiy wrote:

> I tried to get eclipse (java IDE) to run. I have 1.6.1rc2,sun-jdk1.4.1
> I built is with linux-gtk option and when i run it i get a screen
> 'completing installation' and thats where it hangs.  there is process
> 'java' that keeprs running indefinatly.  Tracing the process revieals
> that its it calling scheduler_yeild in a loop.
> Any ideas how to procede ?

Switch to the 1.3 JDK, running in "classic" (green threads) mode. The
1.4 JDK, which uses Linux native threads, is not reliable under NetBSD 1.6.

I've been using eclipse on and off under 1.6 for a while now, and I
rarely have problems. Though I'll admit, under the 1.4 JDK on a Linux
box, it's considerably faster.

Curt Sampson  <>   +81 90 7737 2974
    Don't you know, in this new Dark Age, we're all light.  --XTC